# DriverVariable(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``DriverVariable`(bpy_struct)

  Variable from some source/target for driver relationship

  `name`

    Name to use in scripted expressions/functions (no spaces or dots are allowed, and must start with a letter)

    Type: | string, default “”, (never None)

  `targets`

    Sources of input data for evaluating this variable

    Type: | `bpy_prop_collection` of `DriverTarget`, (readonly)

  `type`

    Driver variable type

    - `SINGLE_PROP` Single Property, Use the value from some RNA property (Default).
    - `TRANSFORMS` Transform Channel, Final transformation value of object or bone.
    - `ROTATION_DIFF` Rotational Difference, Use the angle between two bones.
    - `LOC_DIFF` Distance, Distance between two bones or objects.

    Type: | enum in [‘SINGLE_PROP’, ‘TRANSFORMS’, ‘ROTATION_DIFF’, ‘LOC_DIFF’], default ‘SINGLE_PROP’

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ChannelDriverVariables.new` `ChannelDriverVariables.remove` | `Driver.variables`